package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.bopdecbo.Dba;
import com.brilliance.isc.bo.bopdecbo.Dbe;
import com.brilliance.isc.bo.bopdecbo.Dbg;
import com.brilliance.isc.bo.bopdecbo.Dbq;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dbegrp extends AbstractCommonVo {
    Dbe bas;
    Dbq vrf;

    @Override
    public void reset() {
        if(bas == null){
            bas = new Dbe();
        }
        if(vrf == null){
            vrf = new Dbq();
        }
    }
}
